# ===================================================================
# Spring Boot configuration for the "dev" profile.
#
# This configuration overrides the application.yml file.
#
# More information on profiles: https://www.jhipster.tech/profiles/
# More information on configuration properties: https://www.jhipster.tech/common-application-properties/
# ===================================================================

# ===================================================================
# Standard Spring Boot properties.
# Full reference is available at:
# http://docs.spring.io/spring-boot/docs/current/reference/html/common-application-properties.html
# ===================================================================

logging:
  level:
    ROOT: DEBUG
    io.github.jhipster: DEBUG
    com.thailandelite.mis.be: DEBUG

spring:
  profiles:
    active: dev
    include:
      - swagger
      # Uncomment to activate TLS for the dev profile
      #- tls
  devtools:
    restart:
      enabled: false
      additional-exclude: static/**
    livereload:
      enabled: false # we use Webpack dev server + BrowserSync for livereload
  jackson:
    serialization:
      indent-output: true
  data:
    mongodb:
      uri: mongodb://mis_dev_rw:thedevils@ec2-18-141-167-34.ap-southeast-1.compute.amazonaws.com:27017/mis-dev
      database: mis-dev
  mail:
    host: smtp-relay.sendinblue.com
    port: 587
    username: sedtawut@golfdigg.com
    password: 9SfjsWV7UHI56AX1
  h2:
    console:
      enabled: false
      path: /h2

  datasource:
    primary:
      url: jdbc:sqlserver://13.212.22.35;databaseName=thaielite
      username: elite-read
      password: R7rMEu8pCbU$V+FQ1
      driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver

    bpm:
      url: jdbc:mysql://elite-ub-3.golfdigg.com:3306/camunda
      username: elite-dev
      password: thaielite
      driver-class-name: com.mysql.cj.jdbc.Driver

  messages:
    cache-duration: PT1S # 1 second, see the ISO 8601 standard
  thymeleaf:
    cache: false

server:
  port: 8080

# ===================================================================
# JHipster specific properties
#
# Full reference is available at: https://www.jhipster.tech/common-application-properties/
# ===================================================================

jhipster:
  # CORS is only enabled by default with the "dev" profile, so BrowserSync can access the API
  cors:
    allowed-origins: '*'
    allowed-methods: '*'
    allowed-headers: '*'
    exposed-headers: 'Authorization,Link,X-Total-Count'
    allow-credentials: true
    max-age: 1800
  security:
    authentication:
      jwt:
        # This token must be encoded using Base64 and be at least 256 bits long (you can type `openssl rand -base64 64` on your command line to generate a 512 bits one)
        base64-secret: ODZiZDFkYTFkMmZkMDBhZWNmYWQwN2RiYWJmODUxMTdmMTA1Nzc5ZWY1ZTA5MmM1M2FlYjdkMzc4NGE3YWFiOWQ0MGI0MTU3YTkxZGYxODdhNGIwZjg4MjgyYjE4ZWMxMDY4YjU3NmY0MDkyYjQ1ZjZhY2MzNjczYjkwM2E3Mzk=
        # Token is valid 24 hours
        token-validity-in-seconds: 86400
        token-validity-in-seconds-for-remember-me: 2592000
  mail: # specific JHipster mail property, for standard properties see MailProperties
    base-url: http://127.0.0.1:8080
  metrics:
    logs: # Reports metrics in the logs
      enabled: false
      report-frequency: 60 # in seconds
  logging:
    use-json-format: false # By default, logs are not in Json format
    logstash: # Forward logs to logstash over a socket, used by LoggingConfiguration
      enabled: false
      host: ec2-13-212-224-124.ap-southeast-1.compute.amazonaws.com
      port: 5000
      queue-size: 512
  audit-events:
    retention-period: 30 # Number of days before audit events are deleted.
  swagger:
    protocols: https
    host: ebapi-dev.golfdigg.com
# ===================================================================
# Application specific properties
# Add your own application properties here, see the ApplicationProperties class
# to have type-safe configuration, like in the JHipsterProperties above
#
# More documentation is available at:
# https://www.jhipster.tech/common-application-properties/
# ===================================================================

mis:
  username: be-service@golfdigg.com
  password: Golfdigg25
  url: http://efapi-dev.golfdigg.com/
  token: eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJhZG1pbiIsImF1dGgiOiJBTExZLEFnZW50LUFwcGxpY2FudC1TTFMsQXBwbGljYW50LUdSLEFwcGxpY2FudC1TTFMsQ1JNLEVQQSxFUEwsRklOLEhSLE1DQyxST0xFX0FETUlOLFJPTEVfVVNFUixSU1ZOLFNMUyIsImV4cCI6MTYxOTE1NDM3MX0.WAMA2CNLvxXk6PxRgtWL7XKWnOgBOooQKwSgHdRwtNdHkxleScZGhmUyl-1hnf717aAGknR8HHqBqh0uCq3CYQ
  fontOnlineUrl: http://efapi-dev.golfdigg.com/online
  fontCmsUrl: http://efapi-dev.golfdigg.com

# application:
